------------------------------------------------------------------------------------------------------
-- Beispielskript zur AEK 20 im Oktober 2017 in Nrnberg und Hannover
-- Autor: Bernd Jungbluth
-- Keine Gewhrleistung, keine Haftung

-- Anlegen der XEVENT-Sitzung zur Protokollierung des Abfrageverhaltens zwischen Access und SQL Server
------------------------------------------------------------------------------------------------------

-- Sitzung lschen, falls bereits vorhanden
IF EXISTS(SELECT * FROM sys.server_event_sessions WHERE name='Access mit eingebundenen Tabellen')
BEGIN
	DROP EVENT SESSION [Access mit eingebundenen Tabellen] ON SERVER;
END
GO
-- Sitzung anlegen
CREATE EVENT SESSION [Access mit eingebundenen Tabellen] ON SERVER 
	ADD EVENT sqlserver.rpc_completed(
			  ACTION (sqlserver.client_app_name,
					  sqlserver.client_hostname,
					  sqlserver.database_id,
					  sqlserver.database_name,
					  sqlserver.nt_username,
					  sqlserver.username)
			  WHERE (sqlserver.database_id = 11 AND sqlserver.is_system = 0)
			  ),
	ADD EVENT sqlserver.rpc_starting
			  (
			   ACTION(sqlserver.client_app_name,
					  sqlserver.client_hostname,
					  sqlserver.database_id,
					  sqlserver.database_name,
					  sqlserver.nt_username,
					  sqlserver.username)
			   WHERE (sqlserver.database_id = 11 AND sqlserver.is_system = 0)
			   ),
	ADD EVENT sqlserver.sp_statement_completed
			  (
			   ACTION(sqlserver.client_app_name,
					  sqlserver.client_hostname,
					  sqlserver.database_id,
					  sqlserver.database_name,
					  sqlserver.nt_username,
					  sqlserver.username)
			   WHERE (sqlserver.database_id = 11 AND sqlserver.is_system = 0)
			   ),
	ADD EVENT sqlserver.sp_statement_starting(
			   ACTION(sqlserver.client_app_name,
					  sqlserver.client_hostname,
					  sqlserver.database_id,
					  sqlserver.database_name,
					  sqlserver.nt_username,
					  sqlserver.username)
			   WHERE (sqlserver.database_id = 11 AND sqlserver.is_system = 0)
			   ),
	ADD EVENT sqlserver.sql_statement_completed(
			   ACTION(sqlserver.client_app_name,
					  sqlserver.client_hostname,
					  sqlserver.database_id,
					  sqlserver.database_name,
					  sqlserver.nt_username,
					  sqlserver.username)
			   WHERE (sqlserver.database_id = 11 AND sqlserver.is_system = 0)
			   ),
	ADD EVENT sqlserver.sql_statement_starting(
			   ACTION(sqlserver.client_app_name,
					  sqlserver.client_hostname,
					  sqlserver.database_id,
					  sqlserver.database_name,
					  sqlserver.nt_username,
					  sqlserver.username)
			   WHERE (sqlserver.database_id = 11 AND sqlserver.is_system = 0)
			   )
	-- Datei als Ziel
	ADD TARGET package0.event_file
			   (SET filename=N'Access mit eingebundenen Tabellen')
-- Latenzzeit aus Demozwecken auf 10 Sekunden
WITH (MAX_DISPATCH_LATENCY=10 SECONDS);
GO